<?php /* Template name: Portfolio */ ?> 

<?php get_header(); ?>

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

<?php include 'part_page-header.php'; ?> 

<div id="content">
	
    <div class="container page-content">
    	<?php if ( get_post_meta( $post->ID, '_cmb_page_title', true ) == false ) { ?>
            <div class="page-heading">
                <h1>
                    <a>
                    <?php the_title(); ?>
                    </a>
                </h1>
                <div class="clearleft"></div>
            </div>
        <?php } ?>
    </div>
    
    <?php if ( $post->post_excerpt ) { ?>
        <div class="container excerpt-container">
            <div class="page-excerpt">
                <?php echo $post->post_excerpt; ?>
            </div>
        </div>
        <div class="clearleft"></div>
    <?php } else { ?>
    
    <div class="clearboth"></div>
    <div class="portfolio-page-content container">
        <?php the_content(); ?>
    </div>
    <?php } ?>
    
     <?php if ( kanso_sd_get_option_tree('portfolio_hide_filter') != 'Yes' ) { ?>
        <div class="portfolio-filter container">
            <div class="portfolio-filter-item" id="portfolio-filter-item-all">
                <a href="#" data-filter="*">
                    <?php echo __('All','satori'); ?>
                </a>
            </div>
            <?php 
            $kanso_sd_portfolio_types = get_terms('tagportfolio');
            foreach ( $kanso_sd_portfolio_types as $kanso_sd_portfolio_type ) { ?>
            <div class="portfolio-filter-item">
                <a href="#" data-filter=".<?php echo $kanso_sd_portfolio_type->slug; ?>">
                    <?php echo $kanso_sd_portfolio_type->name; ?>
                </a>
            </div>
            <?php } ?>
            <div class="clear">
            </div>
        </div>
    <?php } ?>
	
    <div id="portfolio-list-wrapper" class="container">
        <div id="portfolio-list">
            <?php 
            if ( is_front_page() ) { 
				$kanso_sd_paged = get_query_var( 'page' );
			} else {
				$kanso_sd_paged = get_query_var( 'paged' );
			}
            if ( function_exists('kanso_sd_get_option_tree') ) { 
                if ( is_string ( kanso_sd_get_option_tree('ppp') ) ) { 
                    $kanso_sd_ppp = kanso_sd_get_option_tree('ppp'); 
                } else { 
                    $kanso_sd_ppp = 12; 
                } 
            } else {
                $kanso_sd_ppp = 12;
            }
            $kanso_sd_order = 'DESC';
            $kanso_sd_orderby = 'date';
            if ( function_exists('kanso_sd_get_option_tree') ) { 
                if ( kanso_sd_get_option_tree('portfolio_order') == "Ascending" ) { 
                    $kanso_sd_order = 'ASC';
                } else {
                    $kanso_sd_order = 'DESC';
                }
            }
            if ( function_exists('kanso_sd_get_option_tree') ) { 
                if ( kanso_sd_get_option_tree('portfolio_orderby') == "Date modified" ) { 
                    $kanso_sd_orderby = 'modified';
                } else if ( kanso_sd_get_option_tree('portfolio_orderby') == "Comment count" ) {
                    $kanso_sd_orderby = 'comment_count';
                } else {
                    $kanso_sd_orderby = 'date';
                }
            }
            $temp = $wp_query;
            $wp_query = null;
            $wp_query = new WP_Query( array( 'posts_per_page' => $kanso_sd_ppp , 'post_type' => 'project' , 'paged' => $kanso_sd_paged , 'order' => $kanso_sd_order, 'orderby' => $kanso_sd_orderby ) );
            if ($wp_query->have_posts()) { while ($wp_query->have_posts()) { $wp_query->the_post(); ?>
            <?php get_template_part( 'content', get_post_format() ); ?>
            <?php } } ?>
        </div>
        <div class="clearboth">
        </div>
    </div>

</div><!--#content-->

<div class="container">

<?php
if(function_exists('kanso_sd_pager_portfolio_hook')) { 
	kanso_sd_pager_portfolio_hook(); 
} else { 
	echo paginate_links(); 
}
$wp_query = null; 
$wp_query = $temp;
?>

</div>

<?php endwhile; ?>

<?php get_footer(); ?>